Magento Connect - Extension Keys Update

image

Time to Update Your Extensions!

Greetings Developers,

You may have noticed that we’ve made some changes to the Magento Connect extension profile page, and you may have also noticed that you may not always have the ability select a 2.0 extension key for every extension. We’ve made these changes based on developer feedback, and to help developers have more control over which versions of an extension they’d like to support.

Significant Changes

The only significant change, is that Magento will no longer automatically generate extension keys for 2.0 (1.5 and later versions of Magento) unless the developer specifies that he wishes to support that version by checking the 1.5 check-box when creating or editing an extension. Keep in mind, in order for your free extension to have the ability to support both versions, it must be uploaded from the file generated in the var/pear directory during the packaging process. Any file uploaded from var/connect will only be able to be listed for 2.0 (Magento 1.5 and later versions).

What this Means for You

If you are the developer of a 1.4 extension, and have not tested or marked that extension as 1.5 compatible on the extension profile page, you will not have a 2.0 version of your extension available. It’s time to take a look at your extensions and make updates to them if necessary.

Additional Resources

Click here to read more information on packaging extensions for Magento 1.5 and later. Additionally, you can find more information about packaging extensions as well as most common mistakes for packaging, installing and upgrading your extensions by staying tuned to our Magento Connect FAQ. As always, I’m only an if you have any questions.

Rhonda


RSS: This Entry| All Blog Posts (RSS)